## org.apache.mahout.fpm.pfpgrowth.convertors
Class TopKPatternsOutputConverter<A extends Comparable<? super A>>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.TopKPatternsOutputConverter<A>

Type Parameters:
  `A` -

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<Integer,FrequentPatternMaxHeap>

    public final class TopKPatternsOutputConverter<A extends Comparable<? super A>>

extends Object
implements org.apache.hadoop.mapred.OutputCollector<Integer,FrequentPatternMaxHeap>

An output converter which converts the output patterns and collects them in a `FrequentPatternMaxHeap`

Constructor Summary
`TopKPatternsOutputConverter(org.apache.hadoop.mapred.OutputCollector<A,List<Pair<List<A>,Long>>> collector, Map<Integer,A> reverseMapping)`

Method Summary
`void` `collect(Integer key, FrequentPatternMaxHeap value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopKPatternsOutputConverter

    public TopKPatternsOutputConverter(org.apache.hadoop.mapred.OutputCollector<A,List<Pair<List<A>,Long>>> collector,
                                       Map<Integer,A> reverseMapping)

Method Detail

### collect

    public void collect(Integer key,
                        FrequentPatternMaxHeap value)
                 throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<Integer,FrequentPatternMaxHeap>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.